FTP Features

The FutureSoft File Transfer Protocol 32 (FTP) provides 32-bit file transfer protocol capability for DynaComm Connectivity Series (DCS). The FTP program features a user-friendly Windows interface that can be started either within a DynaComm session or directly from the DynaComm Connectivity Series submenu.

Supported Connections

FTP supports connections to the following host systems:

• IBM AS/400

• IBM MVS(TSO)

• Tandem

• UNIX

• VAX/VMS

• Windows NT

Supported Transfers

In a single transfer request, FTP supports transfers of an:

• Individual file, or

• Individual folder containing multiple files and/or subfolders.

FTP Interface

The FTP interface includes the FTP session window and the FTP Session Profiles dialog. The FTP session window allows you to view files and folders for both the sending and receiving computers at the same time. The FTP Session Profiles dialog contains the configuration information used by FTP to establish the connection to a host.

See also

  • Accessing FTP

  • Connecting to a host

  • Transferring files

« END »


Software Requirements

FTP requires the following for proper functionality to occur:

  • User account with privileges to send/receive folder/file


About FTP Dialog Box

The About FTP dialog box appears when the About FTP command is accessed. This dialog box provides several pieces of important information. You may be asked to provide some of this information if you call our Support Services group:

• Full product name

• Version number

• Copyright and trademark information

• Web page link

With this dialog box on display you can:

• Click Close to close the dialog box and return to FTP.

• Click the web address link to start your browser and access the FutureSoft web site.


Accessing FTP

Two methods are available to start an FTP session:

• From within a DynaComm session

If you have started the DynaComm Connectivity Series, you can access the FTP command from the Tools menu. Using this method, you will first start a DynaComm session with the host that you want to transfer a file(s) to or from. Then, you will use the Tools FTP command to start the FTP program.

This method is convenient if you have a DynaComm session active when you want to start a file transfer session using FTP.

• From outside a DynaComm session

If you do not need to perform other tasks that require a DynaComm session, you can start FTP without starting a DynaComm session first. This is accomplished by selecting FTP from the DynaComm Connectivity Series submenu.

See also

  • Steps to start an FTP file transfer from within DCS.

  • Steps to start an FTP file transfer outside of DCS.


Host Connections

A host connection is made when you either:

• Click the Connect button in the Session Profiles dialog

This is done when you first start an FTP session with a host.

• Click the Connect/Disconnect button on the FTP window toolbar.

The Connect/Disconnect button toggles the host connection on or off and becomes available only after you have used a session profile to start a host session. After 60 seconds of inactivity, FTP automatically disconnects a host session but leaves the connected FTP window on display.

This button toggles a host connection for the active or current session window only.

• Select the Connect/Disconnect or Connect All/Disconnect All commands on the Session menu.

The Connect/Disconnect command function as the Connect/Disconnect button on toolbar.

The Connect All/Disconnect All commands will effect a host connection for all sessions you have started.

See also

  • Session menu

  • Session Profiles dialog box

  • Toolbar buttons


Transferring Files

FTP can transfer a single file or multiple files with an individual Send or Receive request.

• Single file transfer

Before accessing the Upload or Download commands on the Session menu, you will select the file to be transferred from the Local/Remote Folders and Contents area of the FTP window.

On the Send File/Folder and Receive File/Folder dialog boxes, you will enter or select the destination file name and path.

• Folder transfer

Multiple files can be transferred when they are stored in one folder. Before accessing the Upload or Download commands on the Session menu, you will select the folder to be transferred from the Local/Remote Folders and Contents area of the FTP window.

On the Send File/Folder and Receive File/Folder dialog boxes, you will enter or select the destination folder name and path.

See also

  • Send File/Folder dialog box

  • Receive File/Folder dialog box


Selecting a Transfer Mode

The Transfer mode specifies the file format used in a FTP file transfer. You can set the transfer mode with the buttons on the toolbar or by accessing the Session Mode command. The following table describes the available options:

Element

Description

ASCII

Select to perform a text-file transfer.

ASCII format refers to data consisting of alpha characters, numbers, spaces, punctuation, and symbols. No formatting characters, such as carriage returns or linefeeds, are included.

Binary

Select to perform a binary-file transfer; files are not translated or converted any time in the transfer process.

Binary format refers to data values expressed as combinations of two digits, 0 (zero) and 1 (one). A binary file contains ASCII characters as well as extended ASCII characters.

Default selection.

Auto

FTP determines the mode.


Quick Steps: Send File

The following steps will guide you through the process of configuring your first FTP session with the Anonymous user name to send a file:

1 If you haven’t done so, start Windows.

2 On the Start menu, select Programs and then click DynaComm Connectivity Series.

3 On the DynaComm Connectivity Series menu, select FTP.

FTP is started and the Profiles tab of the FTP dialog appears.

4 In Profile Name, enter a name for your session.

5 In Host Address, enter either the host name or the IP address of the host device.

6 Select the Anonymous check box.

7 Click the Options tab.

8 In the Email Address text box, enter your e-mail address.

9 Click Connect.

10 In the Local Folders and Contents columns, select the folder or file to send.

11 Click Upload.

12 In the Send File/Folder dialog box, enter the destination (remote) path and folder for the transferred file.

13 Click OK.


Quick Steps: Receive File

The following steps will guide you through the process of configuring your first FTP session with the Anonymous user name to receive a file:

1 If you haven’t done so, start Windows.

2 On the Start menu, select Programs and then click DynaComm Connectivity Series.

3 On the DynaComm Connectivity Series menu, select FTP.

FTP is started and the Profiles tab of the FTP dialog appears.

4 In Profile Name, enter a name for your session.

5 In Host Address, enter either the host name or the IP address of the host device.

6 Select the Anonymous check box.

7 Click the Options tab.

8 In the Email Address text box, enter your e-mail address.

9 Click Connect.

10 In the Local Folders and Contents columns, select the folder or file to receive.

11 Click Download.

12 In the Receive File/Folder dialog box, enter the destination (local) path and folder for the transferred file.

13 Click OK.


FTP Window (Host Connection Established)

You are looking at the FTP window with an established host connection. It has nine main elements that are described below:
Element | Description
Title Bar | Displays the application name on the left. Provides buttons for minimizing, maximizing (or restoring), or closing the FTP window.
Menu Bar | Displays the titles of available menus. Note With no host connection established, three menu titles are available: File, View, and Help. The commands seen on these menus maybe different or not available.
Toolbar | Provides buttons that access FTP functions or display FTP information. On the right the FutureSoft icon acts as a spinner that will twirl during an active file transfer. When the icon is not spinning the file transfer has completed or stopped.
All Local Folders | Displays folders in the directory structure of the local machine that has started FTP.
Contents of [localmachine] | Displays files in the open folder (shown in All Local Folders column) on the local machine.
All Remote Folders | Displays folders in the directory structure of the remote machine.
Contents of [remotemachine] | Displays files in the open folder (shown in All Remote Folders column) on the remote machine.
Log Area | Displays messages recorded to the log file about the progress of the file transfer.
Status Bar | Displays: On the left, messages about the status of the application. On the right, the active status of data entry modes: NUM = Num Lock is on CAP = Caps Lock is on SCRL = Scroll Lock is on

See Also

  • Menu Bar

  • Toolbar


FTP Window (No Host Connection Established)

You are looking at the FTP main window with no established connection to a host. It has five main elements that are described below:
Element | Description
Title Bar | Displays the application name on the left. Provides buttons for minimizing, maximizing (or restoring), or closing the FTP window.
Menu Bar | Displays the titles of available menus with FTP commands. Note With no host connection established, a limited number of commands are available. You will only see three menu titles: File, View, Help.
Toolbar | Provides buttons that access FTP functions or display FTP information.
Background | Displays the FTP background.
Status Bar | This element displays: On the left, messages about the status of the application. On the right, the active status of data entry modes: NUM = Num Lock is on CAP = Caps Lock is on SCRL = Scroll Lock is on

See Also

  • Menu Bar

  • Toolbar


Log list

The Log list is displayed in the lower portion of a session window. It lists all messages sent from the host to the requesting session.

Log List Messages

The displayed messages typically are either:

• general status messages, and

• error messages

The format and text of the messages depend upon the connected host. For example, if the session is connected to a UNIX host, then the displayed messages usually begin with a three digit number followed by a short descriptive phrase.

Refer to the specific host documentation for error message information.

Log List Size

Change the vertical size of the Log list window by dragging the top bar of the Log list window with the sizing arrow pointer. Change the horizontal-window size by increasing or decreasing the size of the session window with the sizing grip.

Viewing the Log List

The Log list is displayed when the View Log Area command is toggled on. When the View Log Area command is turned off, the Local/Remote Folders & Contents columns expand to the bottom of the session window.


Document Menu

The Document menu lists commands available with an open session window. The table below lists each command name, the corresponding shortcut key, if available, and a brief description.

Command

Shortcut Key

What it does

Restore

Returns the window to the last size.

Move

Activates the Move Window function. You can then use the cursor control keys to move the window to a new location.

This is the same function as pointing to the window title bar with the mouse and then clicking and dragging the window to a new location.

Size

Activates the window size function. You can then use the cursor control keys to expand or shrink the window dimensions to a new size.

Minimize

Shrinks the window to a button placed just above the Status bar.

Maximize

Expands the window to fill the terminal screen.

Close

CTRL+F4

Closes the current session window and stops the file transfer that is active in that session.

Next

CTRL+F6

Makes the next window the active window. The order of the windows is in relation to the order in which the windows were opened.

See Also

  • FTP window with a host connection

  • FTP window with no host connection


File Menu (Host Connection Established)

The File menu lists commands that work with individual session files. The File menu you are looking at now lists commands that are available when a host connection is established. The table below lists each command name, the corresponding shortcut key, if available, and a brief description.
Command | Shortcut Key | What it does
New Session | CTRL+N | Displays the Session Profiles dialog with the Profiles tab on top. The configuration information for the first profile in the Profiles list is shown in the text boxes.
New Folder |  | Creates a new folder on the local machine or the remote machine.* This selection is available when a connection has been established with a host.
Delete |  | Deletes or removes a folder or file(s) on the local machine or the remote machine.* This selection is available when a connection has been established with a host.
Rename |  | Renames a folder on the local machine or the remote machine.* This selection is available when a connection has been established with a host.
Print Log | ALT+P | Requests a print of the Log file. The Print dialog box is displayed which allows for changes to the selected Printer, the pages to print in a Print range and to the number of Copies to print.
Print Setup… |  | Displays the Print Setup dialog box that allows for changes to the selected Printer, Paper dimensions and source, and Orientation.
Close |  | Closes the active session window and displays the next available session window, if any. The no-connection FTP window is displayed when all sessions have been closed.

See Also

  • Session Profiles dialog

  • Profiles tab

  • FTP window with a host connection

  • FTP window with no host connection

Note

The user name must have the appropriate permissions to be able to create, modify or delete folders on either the local or remote machines. If not, Error 13: Permission denied will appear in the Log message area.


File Menu (No Host Connection Established)

The File menu lists commands that work with individual session files. The File menu you are looking at now lists the commands that are available without a host connection. The table below lists each command name, the corresponding shortcut key, if available, and a brief description.
Command | Shortcut Key | What it does
New Session | CTRL+N | Displays the Session Profiles dialog with the Profiles tab on top. The configuration information for the first profile in the Profiles list is shown in the text boxes.
Exit |  | Closes the FTP window and quits the FTP application.

See Also

  • Session Profiles dialog

  • Profiles tab


Edit Menu

The Edit menu becomes available when a connection with a host is established. This menu lists commands that will be available in a future release of FTP.

The table below lists each command name, the corresponding shortcut key, if available, and a brief description.

Command

Shortcut Key

What it does

Select All

Invert Selection

See also


Session Menu

The Session menu becomes available when a host connection is established. This menu lists commands that work with host sessions or transfers. The table below lists each command name, the corresponding shortcut key, if available, and a brief description.
Command | Shortcut Key | What it does
DisConnect |  | Severs the connection between the active session and the corresponding host.
Connect All |  | Effects a session connection for all saved profiles with the corresponding host.
Disconnect All |  | Stops all file transfers and discontinues connections with all hosts.
Upload |  | Starts the upload process; displays the Send File/Folder dialog box.
Download |  | Starts the download process; displays the Receive File/Folder dialog box.
Stop |  | Discontinues the file transfer process in the active session window.
Mode |  | Displays a submenu that allows for the selection of a file format to be used in a file transfer. The currently selected file transfer mode displays a dot in front of the file format name.
Properties |  | Displays the Session Profiles dialog for the selected session.

See Also

  • Send File/Folder dialog box

  • Receive File/Folder dialog box


View Menu (Host Connection Established)

The View menu commands toggle on or off, or update the display of screen features. When a host connection is established the View menu lists commands that you see in the table below. The table below lists each command name, the corresponding shortcut key, if available, and a brief description.
Command | Shortcut Key | What it does
Toolbar |  | Turns on or off the display of the toolbar above the User list on the FTP window. A check mark in front of the command indicates the function is turned on.
Status Bar |  | Turns on or off the display of the status bar at the bottom of the FTP window . A check mark in front of the command indicates the function is turned on.
Local View |  | Provides three selections for displaying the directory tree, directory file list or both of your local machine. A dot in front of a selection indicates the current display.
Host Views |  | Provides three selections for displaying the directory tree, directory file list or both of the remote host machine. A dot in front of a selection indicates the current display.
Large Icons |  | Displays large icons in the local and remote Contents columns with no detail information.
Small Icons |  | Displays small icons in the local and remote Contents columns with no detail information.
List |  | Displays only the file names in the Contents listing of the local and remote machines.
Details |  | Displays small icons and file details, such as Type, Size, Modified (date) and Attributes (archived, read-only, etc.), for the Contents listing of the local and remote machines.
Log Area |  | Turns on or off the display of the Log area at the bottom of the FTP window.
Clear Log |  | Clears all displayed messages in the Log area at the bottom of the FTP window.
Refresh . . . |  | Updates the window contents to show the most current information. Use this command to see log contents after the log display has been cleared.

See Also

  • Toolbar

  • Overview of FTP window (host connection established)

  • Overview of FTP window (no host connection established)


View Menu (No Host Connection)

View Menu (No Host Connection Established)

The View menu commands toggle on or off the display of screen features. The View menu you are looking at now lists the commands that are available without a host connection. The table below lists each command name, the corresponding shortcut key, if available, and a brief description.
Command | Shortcut Key | What it does
Toolbar |  | Turns on or off the display of the toolbar above the User list on the FTP window. A check mark in front of the command indicates the function is turned on.
Status Bar |  | Turns on or off the display of the status bar at the bottom of the FTP window. A check mark in front of the command indicates the function is turned on.

See Also

  • Log list overview

  • Toolbar

  • Overview of FTP window (host connection established)

  • Overview of FTP window (no host connection established)


Window Menu

The Window menu becomes available when a host connection is established. The commands on this menu modify the display of the session windows. The table below lists each command name, the corresponding shortcut key, if available, and a brief description.
Command | Shortcut Key | What it does
Cascade |  | Displays all current sessions in equal-sized windows that appear stacked one in front of the other as in a card-deck.
Tile |  | Displays all current sessions in equal-sized windows such that each individual window is seen in its entirety.
Close All |  | Switches to the session window name that is selected. The active, or current, window displays a check mark in front of the session name.
window names |  | Switches to the session window name that is selected. The active, or current, window displays a check mark in front of the session name.

See Also

  • Overview of FTP window (host connection established)

  • Overview of FTP window (no host connection established)


Toolbar Buttons

The Toolbar provides twelve buttons that quickly access the most frequently used commands. Each button is described below.
Button | Command | What it does
 | New Session | Displays the Session Profiles dialog with the Profiles tab on top.
 | Session Properties | Displays the Session Profiles dialog for the current session.
 | Stop | Discontinues the file transfer in progress for the active session window.
 | Connect/DisConnect | Toggles the connection for the active session with the host specified in the session profile.
 | Upload | Starts the transfer of a file from your local computer to a remote host.
 | Download | Starts the transfer of a file from a remote host to your local computer.
 | ASCII Mode | Sets the file transfer mode type to ASCII.
 | Binary Mode | Sets the file transfer mode type to binary. Default selection.
 | Auto Mode | Sets the file transfer mode to auto-detect. With this option selected, FSFTP determines the file transfer mode based on ….
 | Toggle Toolbar | Turn off the display of the toolbar. Turning off the toolbar display expands the directory listing displays. All toolbar functions are accessible through the menus. Use the View Toolbar command to turn on the display of the toolbar.
 | Print Log | Sends a request to print the log file; the entire log file is printed. Displays the Printing Status dialog box. Caution! The log file may be very large.
 | About | Displays the About FTP dialog box that contains the FTP software version and copyright information.

See Also

  • Session Profiles dialog

  • Profiles tab

  • Transferring files

  • About FTP dialog box


Shortcut Menu for the Log list

Log List Shortcut Menu

Using the right mouse button while pointing to the Log area activates the shortcut menu for that screen region. This menu lists three commands.
Command | What it does
Log area | Toggles the display of the Log area on or off.
Clear | Removes all entries from the log file.
Print log | Requests a print of the log file; displays the Print dialog box.
« END »


Session Profiles Dialog

A session profile contains configuration settings for connecting to a host device and starting a file transfer. You can create a new session profile and modify or delete an existing session profile, to meet your specific needs by using the FTP Session Profiles dialog.

The FTP Session Profiles dialog consists of three tabs:

Tab

Description

Profiles

Lists the available session profiles and the settings for the currently selected session profile. The New button clears the current settings to allow for input of a new session configuration. Clicking Save stores changes made to an existing profile or stores the new configuration. Remove deletes the current profile.

When checked, Anonymous allows you to connect to the host system without having a personal account on the host. The host must also support anonymous login. The information stored on this tab works in conjunction with the information stored on the Options tab for the individual session profile.

Options

Allows you to access the host system when you don’t have a personal account on the host. This function requires the selection of the Anonymous check box on the Profiles tab and an email account name in Email Address on this tab.

Provides several timing parameters and optional actions if a file exists with the same name as the file being transferred.

Firewall

This feature will be implemented in a future release.

See Also

  • Session Profiles dialog

  • Profiles tab


Profiles Tab Elements

The Profiles tab provides for the entry or modification of profile information for a file transfer session. This tab is automatically displayed when:

• FTP is started.

• File New Session command is accessed.

Element

Description

[profiles list]

Displays all saved session profiles.

Profile Name

Displays the first profile name from the Session Profiles list.

Default: Blank

Host Address

Enter the IP address or Host name.

Default: Blank

Port

Enter the port number assigned for use by FTP.

Default: 21

User Name

Enter the user name that will be used to request a file transfer.

Default: Blank

Password

Enter the password associated with the name entered in User Name.

Note

When Anonymous is selected, this field is unavailable.

Host Type

Select the host that will be used in the file transfer.

Available selections are:

  • UNIX

  • Windows NT2000

  • IBM MVS

  • IBM AS400

  • VMS

  • Tandem

Default: Auto Detect

Host Initial Path

Enter the full path where the file on the host

• is located (for downloads)

• to be transferred (for uploads)

Default: Blank

Download Path

Enter the full path on the local PC where file(s) are to be transferred.

Default: Blank

Notes

Enter any notes pertinent to the profile.

Default: Blank

Anonymous

Select to automatically enter anonymous in User Name.

Clear to enter a custom user name in User Name.

When this option is selected, the Password box becomes unavailable.

Passive

Select to disable passive mode.

With this option enabled, your PC (client) will effect the data channel with the FTP site. With this option disabled, the FTP site effects the data channel.

Enable this option when a firewall or gateway on the network block file transfers.

Note

Not all FTP sites support passive mode.

Default: Enabled.

Click to clear the text boxes on the Profiles tab.

Click to save changes made to the text boxes on the Profiles tab; changes are stored with the name that appears in Profile Name.

Click to delete the profile displayed in the text boxes.

Click to request a connection to the host and start a file transfer.

Click to close the Session Profiles dialog.

Click to display the Contents tab of the FTP Online Reference.

See Also

  • Options tab

  • Steps to create a new session profile

  • Steps to modify an existing session profile

  • Steps to remove an existing session profile


Options Tab Elements

The Options tab is the second tab in the Ftp Session Profiles dialog. It provides elements related to transfer timing parameters and optional actions to perform if a file exists with the same name as the transferred file.
Element | Description
Email Address | Displays the e-mail address that is used as the password for the anonymous user name when selected on the Profiles tab.
 | Note The email account name can be any email address that includes the @ symbol and an acceptable extension (e.g., .com, .net, .org). For example: xxx@xxx.com
Parameters group
Timeout(ms) | Indicates the amount of time FTP is to wait before automatically disconnecting from the host when no transfer activity has occurred. Default: 10
Retry Delay(ms) | Indicates the amount of time the local computer is to wait between attempts to start a transfer process. Default: 10
Retries | Indicates the number of times the host/local computer is to attempt to start the transfer process; when the retries number is exceeded, the transfer process fails and sends an error message to the screen. Default: 0
If File Exists group
Prompt | Select to send a prompt if a file exists where the file is transferred.
Overwrite | Select to overwrite an existing file with the same name where the file is transferred.
Append | Select to add the transferred file to the end of an existing file with the same name where the file is transferred.
Skip | Select to not send a file if a file with the same name where the file is transferred; FTP continues to the next transfer request; if no more requests are queued, FTP becomes idle.
 | Click to accept the selections and start a file transfer.
 | Click to close the Session Profiles dialog.
 | Click to display the Contents tab of the FTP Online Reference.

See Also

  • Options tab elements


Procedures for Transferring Files

FTP is an easy to use program with two main procedures:

Send a File

To send a file

1 Open a host session using the Session Profiles dialog.

2 Select the file or folder to send from the local machine.

3 Access the Session Upload command.

4 Complete the Send File/Folder dialog box.

5 Monitor the File Transfer Status dialog box for the session.

Receive a File

To receive a file

1 Open a host session using the Session Profiles dialog.

2 Select the file or folder to receive from the remote machine.

3 Access the Session Download command.

4 Complete the Receive File/Folder dialog box.

5 Monitor the File Transfer Status dialog box.

Note

You can also monitor the DCS spinner on the right of the tool bar. When the spinner is active, the transfer process is active. When the process ends or is terminated, the spinner becomes stationary.

See Also

  • Session Profiles dialog

  • Send File/Folder dialog box

  • Receive File/Folder dialog box

  • File Transfer Status dialog box


Send File/Folder Dialog Box

Send a File/Folder Dialog Box

The Send File/Folder dialog box appears after you have made a connection to a host, selected the folder or file on your local PC to transfer and then clicked the Upload button. This dialog box has several elements that specify the files and file locations for the transfer. The table below describes each element:
Element | Description
Source (PC) File/Folder group
File/Folder names | Displays the path and file(s)/folder name to be transferred. This is a read-only field. If multiple files are selected for upload, scroll buttons appear at the end of the text box. Use these to display all selected file names.
Note To change the file/folder displayed, press Cancel and use the All Local Folders and Contents columns to select a different file or folder.
Destination (Host) File/Folder group
Path | Displays the directory location on the host where the file/folder is to be transferred.
File/Folder name | Displays the name of the file/folder to create on the host to receive the transferred file/folder.
Note To change the path or file/folder name enter the information in the text boxes or press Cancel and use the All Local Folders and Contents columns to select a different file or folder.
 | Click to start the transfer process.
 | Click to close the dialog box and discontinue the transfer process.

See Also

  • Transferring files

  • Steps to send a folder/file.


Receive File/Folder Dialog Box

Receive a File/Folder Dialog Box

The Receive File/Folder dialog box appears after you have made a connection to a host, selected the folder or file on the host to transfer and then access the Session Download command. This dialog box has several elements that specify the files and file locations for the transfer. The table below describes each element:
Element | Description
Source (Host) File/Folder
File/Folder names | Displays the file(s)/folder name to be transferred. This is a read-only field. If multiple files are selected for upload, scroll buttons appear at the end of the text box. Use these to display all selected file names.
Note To change the file/folder displayed, press Cancel to display the main FTP window. Use the All Remote Folders and Contents columns to select a different file or folder.
Destination (PC) File/Folder
Download Folder | Displays the complete path and name of the folder to receive the downloaded host files.
{bmtc DBEllps.bmp} | Click to display the Browse for Folder dialog box. Use standard Windows navigation techniques to select a new folder to receive the files.
 | Click to start the transfer process.
 | Click to close the dialog box and discontinue the transfer process.

See Also

  • Transferring files

  • Steps to receive a folder/file.


File Transfer Status Dialog Box

The File Transfer Status dialog box appears after clicking OK in the Send File/Folder or Receive File/Folder dialog box. This dialog box has several elements that indicate the progress of the transfer. The table below describes each element:
Element | Description
Current File
Local | Displays the file/folder name being transferred from/to your local PC or network location.
Host | Displays the file/folder name being transferred from/to the host location.
Total Bytes | Displays the total number of bytes in the file/folder being transferred.
Transferred | Displays the total number of bytes that have been successfully transferred.
Indicator Bar | Graphically displays the percentage of the file that has been transferred relative to the total file.
Status |
Send/Receive File | Displays the direction of the file transfer, that is, either downloading or uploading.
Retries | Indicates the number of times FTP attempted to start the transfer.
Progress |
Time Elapsed | Displays the total amount of time that has elapsed since the transfer was started (when the OK button of the dialog is clicked).
Estimated time remaining (file) | Displays an estimate of the remaining amount of time needed to complete the transfer. This is based on the file size, transfer speed, etc.
Average Throughput (bytes/sec.) | Displays the average number of bytes that are being transferred per second. This provides a rough estimate of the relative efficiency of the transfer. A low number may indicate a network or host experiencing a high resource demand.
 | Click this button to end the transfer process.

See Also

  • Send File/Folder dialog box

  • Receive File/Folder dialog box


Incorrect user name or password

All Error Messages

Below is the list of messages that are shown when an error in FTP occurs. The messages are listed in alphabetical order by the first word in the message text. Click on the error message to display 1) a short description of what may have happened to produce the error and 2) suggestions to correct the problem.

Message Text

Failed to open directory

Failed to upload file filename

Incorrect user name or password


Failed to open directory

Failed to open directory

The transfer could not be completed because the directory on the Host could not be opened.

Immediately, you must:

• Click OK to close the dialog box.

Next, you might choose to:

• Look at the Log area to determine if any error messages were sent from the host detailing the problem.

• Check with the system administrator to verify that the user name has the corresponding security necessary for the transfer to occur.


Failed to upload file

Failed to upload file filename

The file transfer (send) was not completed.

Immediately, you must:

• Click OK to close the dialog box.

Next, you might choose to:

• Look at the Log area to determine if any error messages were sent from the host detailing the problem.

• Check with the system administrator to verify that the user name has the corresponding security necessary for the transfer to occur.


Incorrect user name or password

Incorrect user name or password

The information entered in the User name or Password text boxes on the Profiles tab of the Session Profiles dialog is incorrect.

Immediately, you must either:

• Click Yes to close the error dialog box and then display the Profiles tab and modify the user name and/or password.

• Click No to close the error dialog box, not connect to a host and display the main FTP window.

Next, you might choose to:

• Check with the system administrator to verify that the user name and password are valid for the host system.


To create a new FTP session profile

With the FTP window on display

1 On the File menu, select New Session.]

The Session Profiles dialog appears with the Profiles tab displayed.

2 In Profile name, enter a unique name for the new session.

3 In Host Address, enter the host name or IP address.

4 In Port, enter the port number assigned for FTP use.

5 In User Name, enter the user name.

6 In Password, enter the password associated with the user name.

7 In Host Initial Path, enter the full path to be accessed when the session first connects with the host.

8 In Download Path, enter the full path where transferred files are to be received on the local PC.

9 In Notes, enter any notes about the profile, if needed.

10 Click the Options tab.

11 In Email Address, enter the e-mail address that will be used by FTP as the password for the anonymous user name.

12 In Timeout(ms), enter the number of milliseconds FTP is to wait before disconnecting from the host when no activity occurs.

13 In Retry Delay, enter the number of milliseconds FTP is to wait before attempting to start a transfer after a failed attempt.

14 In Retries, enter the number of times FTP is to start a transfer after a failed attempt.

15 In If File Exists, select the action FTP is to perform.

16 Click the Profiles tab.

17 Click Save.

The new profile is saved and the name appears in the Profiles Name list.


To delete an FTP session profile

With the FTP window displayed

1 On the File menu, select New Session.

The Session Profiles dialog box appears with the Profiles tab displayed.

2 In the Profile Name list, select the session name to be changed.

The session profile information is displayed.

3 Click Remove.

4 Click Cancel or the Close button on the dialog box title bar to close the dialog box.


To modify an existing FTP session profile

With the FTP window on display

1 On the File menu, select New Session.

The Session Profiles dialog box appears with the Profiles tab displayed.

2 In the Profile Name list, select the session name to be changed.

3 Change the information in the text boxes on the Profiles tab, as needed.

4 Click the Options tab.

5 Change the information in the text boxes on the Options tab, as needed.

6 Click the Profiles tab.

7 Click Save.

8 Click Cancel or the Close button on the dialog box title bar to close the dialog box.


To modify the current FTP session profile

With the FTP session window on display

1 On the Session menu, select Properties.

The Session Profiles dialog box appears with the Profiles tab displayed. The current session name is highlighted.

2 Change the information in the text boxes on the Profiles tab, as needed.

3 Click the Options tab.

4 Change the information in the text boxes on the Options tab, as needed.

5 Click the Profiles tab.

6 Click Save.

7 Click Cancel or the Close button on the dialog box title bar to close the dialog box.


To open a new FTP session

With the FTP window displayed

1 On the File menu, select New Session.

The Session Profiles dialog box appears with the Profiles tab displayed.

2 In the Profile Names list, select the desired profile.

3 Click Connect.

The new session is started and a new session window appears.


To print the Log list

With the FTP session window on display

1 On the File menu, select Print Log.

The Print dialog box appears.

2 Make any necessary changes in the Print dialog.

3 Click OK.


To receive a single file

With the FTP window on display

1 Select the folder in the All Remote Folders window that contains the file to be transferred from the host.

The Contents of ‘[folder]’ window lists the files and sub-folders in the selected folder.

2 Select the file to be downloaded.

3 On the Session menu, select Mode.

4 On the Mode sub-menu, select the transfer mode.

5 On the Session menu, select Download. The Receive File/Folder dialog box appears.

6 In Download Folder for the Destination (PC) File, enter the path and filename on the local computer.

7 Click OK.

The File Transfer Status dialog appears.

Note

You can stop a file transfer in progress by selecting Stop from the Session menu.


To receive multiple files

With the FTP window on display

1 Select the folder in the All Remote Folders window that contains the file to be transferred from the host.

The Contents of ‘[folder]’ window lists the files and sub-folders in the selected folder.

2 Select the files to transfer.

Note

  • To select all files in a folder, select the folder in All Remote Folders pane.

  • To select a contiguous group of files in a folder, select the first file in the group, hold down the Shift key, and then select the last file in the group.

  • To select non-contiguous files in a folder, hold down the Ctrl key and then use the mouse to select the files to send.

3 On the Session menu, select Mode.

4 On the Mode sub-menu, select the transfer mode.

5 On the Session menu, select Download. The Receive File/Folder dialog box appears.

6 In Download Folder for the Destination (PC) File, enter the path and filename on the local computer.

Note

Click the [image] button to display the Browse for Folder dialog box. Use standard Windows navigation techniques to select the folder.

7 Click OK.

The File Transfer Status dialog box appears.

Note

You can stop a file transfer in progress by selecting Stop from the Session menu.


To send a single file

With the FTP window on display

1 Select the folder in the All Local Folders window that contains the file to be transferred to the host.

The Contents of ‘[folder]’ window lists the files and sub-folders in the selected folder.

2 Select the file to be transferred.

3 On the Session menu, select Mode.

4 On the Mode sub-menu, select the transfer mode.

5 On the Session menu, select Upload. The Send File/Folder dialog box appears.

6 In Path for the Destination (Host) File, enter the path and filename where the file is to be transferred on the host.

7 Click OK.

The file is transferred (uploaded) to the host.

Note

You can stop a file transfer in progress by selecting Stop from the Session menu.


To send multiple files

With the FTP window on display

1 Select the folder in the All Local Folders window that contains the files to be transferred to the host.

The Contents of ‘[folder]’ window will list the files and sub-folders in the selected folder.

2 Select the files to transfer.

Note

  • To select all files in a folder, select the folder in All Remote Folders pane.

  • To select a contiguous group of files in a folder, select the first file in the group, hold down the Shift key, and then select the last file in the group.

  • To select non-contiguous files in a folder, hold down the Ctrl key and then use the mouse to select the files to send.

3 On the Session menu, select Mode.

4 On the Mode sub-menu, select the transfer mode.

5 On the Session menu, select Upload. The Send File/Folder dialog box appears.

6 In Path for the Destination (Host) File, enter the full path and filename where the file is to be transferred on the host.

7 Click OK.

The File Transfer Status dialog box appears.

Note

You can stop a file transfer in progress by selecting Stop from the Session menu.


To start a file transfer within a DCS session

With the Windows Taskbar displayed

1 Start DCS.

2 On the Tools menu, select FTP.

The FTP window appears.

3 On the File menu, select New Session.

The FTP Session Profiles dialog appears. The available session profiles are listed.

4 Click the Profiles tab.

5 On the Session Profiles list, select the session profile.

6 Click Connect.

The FTP Session Profiles dialog closes. As FTP connects to the host, the FTP session window will list the current files and folders on the host and local computers.


To start a file transfer outside a DCS session

With the Windows Taskbar displayed

1 On the Windows Start menu, select Programs and then DynaComm Connectivity Series.

2 On the DynaComm Connectivity Series submenu, select FTP.

The FTP window appears first and then the FTP Session Profiles dialog appears. The Profiles tab is displayed.

3 In the Session Profiles list, select the session profile.

4 Click Connect.

The FTP Session Profiles dialog closes. As FTP connects to the host, the FTP session window will list the current files and folders on the host and local computers.


To stop an FTP file transfer in progress

With the FTP session window on display

1 Select the file being transferred from the applicable Contents box (Local or Remote).

2 On the Session menu, select Stop.

The transfer for the selected file/folder will stop.


To view host messages

With the FTP session window on display

• On the View menu, select Log.

The log list window will appear at the bottom of the FTP main window.


Help Menu

The Help menu lists commands providing general and specific information about FTP. The table below lists each command with a brief description.
Command | What it does
Contents | Opens the Online Reference.
About FTP | Displays the About FTP dialog box that contains copyright, version and contact information.

See Also

  • About FTP dialog box


Select one of the items below to display detailed information about it:

Windows

FTP main window (connected to host)

FTP main window (not connected to host)

Dialogs

Profiles tab in the Session Profiles dialog

Options tab in the Session Profiles dialog

Dialog Boxes

About FTP

File Transfer Status

Receive File/Folder

Send File/Folder

Log Messages and Error Dialog Boxes

Log list messages

Failed to open directory

Failed to upload file filename

Incorrect user name or password!

Note

If you don’t see what you’re looking for, use the Contents, Index, or Find tabs in the left Help pane to locate a topic.


Select a menu name to display detailed information about it:

Select a menu name below to see detailed command information.

File (with no active connection)

File (with an active connection)

Edit

Session

View (with no active connection)

View (with an active connection)

Window

Helpbasics_Menus_Help>Main

Note

If you don’t see what you’re looking for, use the Contents, Index, or Find tabs in the left Help pane to locate a topic.


Click on one of the functions below to display the steps:

Connecting

Starting a file transfer from within a DCS session

Starting a file transfer from outside a DCS session

Transferring Files

Send (upload) a file

Receive (download) a file

Stop a file transfer in progress

Session Profiles

Create a new session profile

Modify a session profile

Open a new file transfer session

Delete a session profile

Log list

Viewing the Log list

Note

If you don’t see what you’re looking for, use the Contents, Index, or Find tabs in the left Help pane to locate a topic.


All Trouble Shooting Aids

Troubleshooting

Error messages shown in a dialog box .

Messages shown in the Log list.

Note

If you don’t see what you’re looking for, use the Contents, Index, or Find tabs in the left Help pane to locate a topic.


You are looking at the Firewall tab in the Session Profiles dialog.

This function has not been implemented in this release. For updates on this implementation visit our website at:

http://www.futuresoft.com

So, what would you like to see?

Information about ...

Windows, Dialog Boxes & Message Boxes

Functions

Toolbar Buttons

Menus

Steps to …

Create a new session profile

Modify a session profile

Open a new file transfer session

Send (upload) a file

Receive (download) a file

Other steps

Note

If you don’t see what you’re looking for, use the Contents, Index, or Find tabs in the left Help pane to locate a topic.


You are looking at the Options tab in the Session Profiles dialog.

What would you like to see?

Information about ...

The Profiles tab elements

The Options tab elements

Steps to …

Create a new session profile

Modify a session profile

Open a new file transfer session

Other stepsWhere2Go_All_Steps>Main

Note

If you don’t see what you’re looking for, use the Contents, Index, or Find tabs in the left Help pane to locate a topic.


You are looking at the Profiles tab in the Session Profiles dialog.

What would you like to see?

Information about ...

The Profiles tab elements

The Options tab elements

Steps to …

Create a new session profile

Modify an existing session profile

Open a new file transfer session

Other steps

Note

If you don’t see what you’re looking for, use the Contents, Index, or Find tabs in the left Help pane to locate a topic.


You are looking at the About FTP dialog box.

So, what would you like to see?

Information about ...

Windows, Dialog Boxes & Message Boxes

Functions

Toolbar Buttons

Menus

Steps to …

Create a new session profile

Modify a session profile

Open a new file transfer session

Send (upload) a file

Receive (download) a file

Other steps

Note

If you don’t see what you’re looking for, use the Contents, Index, or Find tabs in the left Help pane to locate a topic.


Select one of the items below to display detailed information about it:

You are looking at the File Transfer Status dialog box:

What would you like to see?

Information about ...

Dialog box elements

Steps to …

Stop a file transfer in progress

Send (upload) a file

Receive (download) a file

Other stepsWhere2Go_All_Steps>Main

Note

If you don’t see what you’re looking for, use the Contents, Index, or Find tabs in the left Help pane to locate a topic.


You are looking at the Receive File/Folder dialog box

What would you like to see?

Information about ...

Dialog box elements

Steps to …

Send (upload) a file

Receive (download) a file

Stop a file transfer in progress

Other stepsWhere2Go_All_Steps>Main

Note

If you don’t see what you’re looking for, use the Contents, Index, or Find tabs in the left Help pane to locate a topic.


You are looking at the Send File/Folder dialog box

What would you like to see?

Information about ...

Dialog box elements

Steps to …

Send (upload) a file

Receive (download) a file

Stop a file transfer in progress

Other stepsWhere2Go_All_Steps>Main

Note

If you don’t see what you’re looking for, use the Contents, Index, or Find tabs in the left Help pane to locate a topic.


Help is available! What do you want to see?

Information about ...

Windows and Dialog Boxes

Toolbar Buttons

Menus

Steps to …

Work with session profiles

Transfer files

View the Log list

All steps

Note

If you don’t see what you’re looking for, use the Contents, Index, or Find tabs in the left Help pane to locate a topic.


You are looking at the FTP main window.

A connection with a host has been established. This window contains several components and allows access to all commands.

What would you like to see?

Information about ...

Each window element

Menu Commands

File

Edit

Session

View

Window

Help

Steps to …

Create a new profile

Modify an existing profile

Open a new file transfer session

View Log list messages

Other steps

Note

If you don’t see what you’re looking for, use the Contents, Index, or Find tabs in the left Help pane to locate a topic.


You are looking at the FTP main window.

No connection with a host has been established. This window contains several components and allows access to several commands.

What would you like to see?

Information about ...

Each window element

File menu commands

View menu commands

Help menu commands

Steps to …

Create a session profile

Connect to a host within a DCS session

Connect to a host outside a DCS session

Note

If you don’t see what you’re looking for, use the Contents, Index, or Find tabs in the left Help pane to locate a topic.